Tasks Webhooks
- OpenAPI Version:
3.1.1 - API Version:
1.0.0
Servers
- URL:
https://{your-endpoint-url}
Operations
task.deleted
- Method:
POST - Path:
task.deleted - Tags: Tasks
The Task deleted event is triggered every time a task is delete by one of your app users or account users.
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Task deleted subscription enabled under the Task event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp of when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who deleted the task.object(required)object— Information about the tasktask_id(required)string— The task ID.descriptionstring— The detailed description of the task.due_dateobjectis_publicobjectpriorityobjectstatusobjecttitlestring— The title of the task.
operator(required)string— The email of the user who deleted the task.operator_id(required)string— The user ID of the user who deleted the task.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"task_id": "",
"description": "",
"title": "",
"priority": null,
"status": null,
"is_public": null,
"due_date": null,
"additionalProperty": "anything"
},
"additionalProperty": "anything"
},
"additionalProperty": "anything"
}Responses
Status: 200 Successfully received the webhook event.
task.updated
- Method:
POST - Path:
task.updated - Tags: Tasks
The Task was updated event is triggered every time a task is updated.
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Task was updated subscription enabled under the Task event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp of when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who updated the task.operator(required)string— The email of the user who updated the task.operator_id(required)string— The Zoom user ID of the operator who closed the task. It should be null if the user is external to the task's organization.task_id(required)string— The task ID.field_changesarray— The list of field changes in this update.Items: changed_at(required)integer— The unix timestamp when the field was changed.field_name(required)string, possible values:"title", "status", "priority", "is_public", "due_date", "starred", "description"— The name of the field that was changed.operation_type(required)string, possible values:"added", "removed", "updated"— The operation performed on the field.new_valuestring— The new value of the field.old_valuestring— The previous value of the field.
file_changesarray— The list of file changes in this update.Items: changed_at(required)integer— The unix timestamp when the attachment was changed.file_id(required)string— The unique identifier of the file.file_name(required)string— The name of the file.operation_type(required)string, possible values:"added", "removed"— The operation performed on the attachment.download_link_expire_timeinteger— The unix timestamp when the download link expires.file_download_linkstring— The temporary download link for the file.file_sizeinteger— The size of the file in bytes.file_typestring— The MIME type of the file.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"task_id": "",
"field_changes": [
{
"field_name": "title",
"old_value": "",
"new_value": "",
"operation_type": "added",
"changed_at": 1
}
],
"file_changes": [
{
"file_id": "",
"file_name": "",
"file_type": "",
"file_size": 1,
"file_download_link": "",
"download_link_expire_time": 1,
"operation_type": "added",
"changed_at": 1
}
]
}
}Responses
Status: 200 Successfully received the webhook event.
task.comment_updated
- Method:
POST - Path:
task.comment_updated - Tags: Comment
The Task comment was updated event is triggered every time a task comment is updated to task.
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with:
- A valid Event Notification Endpoint URL.
- The Task comment was updated subscription enabled under the Task event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who updated the comment with a task.object(required)object— Information about the task.comment(required)object— The comments that had been added, removed, or updated.comment_id(required)string— The task comment ID.content_text(required)string— The task comment content.
task_id(required)string— The task ID.
operation_type(required)integer, possible values:0, 1, 2— Operation type. *`0` - REMOVE *`1` - ADD *`2` - UPDATEDoperator(required)string— The email of the user who updated the comment with a task.operator_id(required)string— The user ID of the user who updated the comment with a task.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operation_type": 0,
"object": {
"task_id": "",
"comment": {
"content_text": "",
"comment_id": ""
}
}
}
}Responses
Status: 200 Successfully received the webhook event.
task.completed
- Method:
POST - Path:
task.completed - Tags: Tasks
The task was completed event is triggered every time a task status is done.
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Task was completed subscription enabled under the Task event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp of when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who completed the task.object(required)object— Information about the task.status(required)objecttask_id(required)string— The task ID.
operator(required)string— The email of the user who completed the task.operator_id(required)string— The Zoom user ID of the operator who completed the task.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"task_id": "",
"status": null
}
}
}Responses
Status: 200 Successfully received the webhook event.
task.collaborator_updated
- Method:
POST - Path:
task.collaborator_updated - Tags: Collaborator
The Task collaborator were updated event is triggered every time a task collaborator is added or deleted to share a task with a Zoom user
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Task collaborator were updated subscription enabled under the Task event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp of when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who updated the collaborators of the task.object(required)object— Information about the task.collaborators(required)array— Collaborators that has been added or removed.Items: Any of: display_name(required)string— The display name of the collaborator.user_id(required)string— The Zoom user ID of the collaborator.avatarstring, format:uri— The avatar image URL of the collaborator.emailstring, format:email— The email address of the collaborator.
task_id(required)string— The task ID.
operation_type(required)integer, possible values:0, 1— Operation type. Enum: *`0` - REMOVE *`1` - ADDoperator(required)string— The email of the user who updated the collaborators of the task.operator_id(required)string— The Zoom user ID of the operator who updated the collaborators of the task.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operation_type": 0,
"object": {
"task_id": "",
"collaborators": [
{
"user_id": "",
"display_name": "",
"email": "",
"avatar": ""
}
]
}
}
}Responses
Status: 200 Successfully received the webhook event.
task.created
- Method:
POST - Path:
task.created - Tags: Tasks
The Task was created event is triggered every time a task is created by one of your app users or account users.
Zoom offers multiple methods for users to create a new task. Users can manually create tasks in the Zoom client or the Zoom web portal. Users can also programmatically create tasks via the [Create a new task] API.
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with:
- A valid Event Notification Endpoint URL.
- The Task was created subscription enabled under the Task event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp of when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who created the task.object(required)object— Information about the task.create_time(required)string, format:date-time— The creation date-time in UTC/GMT.is_public(required)objectpriority(required)objectsource_type(required)objectstarred(required)boolean— Indicates whether the task is marked as starred.status(required)objecttask_id(required)string— The task ID.title(required)string— The task's title.assigneesarray— A list of assignees to add to the task.Items: email(required)string, format:email— The assignee's email address.user_id(required)string— The assignee's Zoom user ID.
collaboratorsarray— A list of collaborators to invite to the task. Maximum user count is 20.Items: email(required)string, format:email— The collaborator's email address.user_id(required)string— The collaborator's user to invite. The invited user must belong to the same account as the requesting user.
descriptionstring— The task's detailed description.due_dateobjectfriendly_task_idstring— The task's human-readable identifier.linkstring— The direct URL link to the task.
operator(required)string— The email of the user who created the task.operator_id(required)string— The user ID of the user who created the task.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"task_id": "",
"description": "",
"title": "",
"priority": null,
"status": null,
"is_public": null,
"due_date": null,
"source_type": null,
"starred": true,
"collaborators": [
{
"user_id": "",
"email": ""
}
],
"create_time": "2025-03-25T07:29:29Z",
"friendly_task_id": "Task-1",
"link": "https://tasks.example.com/ws53iQgOOkOdzVTxZaVoRA/TASK-1",
"assignees": [
{
"user_id": "",
"email": ""
}
]
}
}
}Responses
Status: 200 Successfully received the webhook event.
task.assignee_updated
- Method:
POST - Path:
task.assignee_updated - Tags: Collaborator
The Task assignee were updated event is triggered every time a task assignee is added or deleted to share a task with a Zoom user
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Task assignee were updated subscription enabled under the Task event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who updated assignee to the taskobject(required)object— Information about the task.assignees(required)array— Assignees that has been added or removedItems: Any of: display_name(required)string— The display name of the collaborator.user_id(required)string— The Zoom user ID of the collaborator.avatarstring, format:uri— The avatar image URL of the collaborator.emailstring, format:email— The email address of the collaborator.
task_id(required)string— The task ID.
operation_type(required)integer, possible values:0, 1— Operation type. Enum: *`0` - REMOVE *`1` - ADDoperator(required)string— The email of the user who updated assignee to the task.operator_id(required)string— The Zoom user ID of the operator who updated assignee to the task.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operation_type": 0,
"object": {
"task_id": "",
"assignees": [
{
"user_id": "",
"display_name": "",
"email": "",
"avatar": ""
}
]
}
}
}Responses
Status: 200 Successfully received the webhook event.
task.reopened
- Method:
POST - Path:
task.reopened - Tags: Tasks
The task was reopened event is triggered every time a task is opened.
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Task was reopened subscription enabled under the Task event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp of when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who opened the task.object(required)object— Information about the task.task_id(required)string— The task ID.
operator(required)string— The email of the user who opened the task.operator_id(required)string— The Zoom user ID of the operator who opened the task.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"task_id": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
Schemas
Task.deletedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp of when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who deleted the task.object(required)object— Information about the tasktask_id(required)string— The task ID.descriptionstring— The detailed description of the task.due_dateobjectis_publicobjectpriorityobjectstatusobjecttitlestring— The title of the task.
operator(required)string— The email of the user who deleted the task.operator_id(required)string— The user ID of the user who deleted the task.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"task_id": "",
"description": "",
"title": "",
"priority": null,
"status": null,
"is_public": null,
"due_date": null,
"additionalProperty": "anything"
},
"additionalProperty": "anything"
},
"additionalProperty": "anything"
}Task.updatedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp of when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who updated the task.operator(required)string— The email of the user who updated the task.operator_id(required)string— The Zoom user ID of the operator who closed the task. It should be null if the user is external to the task's organization.task_id(required)string— The task ID.field_changesarray— The list of field changes in this update.Items: changed_at(required)integer— The unix timestamp when the field was changed.field_name(required)string, possible values:"title", "status", "priority", "is_public", "due_date", "starred", "description"— The name of the field that was changed.operation_type(required)string, possible values:"added", "removed", "updated"— The operation performed on the field.new_valuestring— The new value of the field.old_valuestring— The previous value of the field.
file_changesarray— The list of file changes in this update.Items: changed_at(required)integer— The unix timestamp when the attachment was changed.file_id(required)string— The unique identifier of the file.file_name(required)string— The name of the file.operation_type(required)string, possible values:"added", "removed"— The operation performed on the attachment.download_link_expire_timeinteger— The unix timestamp when the download link expires.file_download_linkstring— The temporary download link for the file.file_sizeinteger— The size of the file in bytes.file_typestring— The MIME type of the file.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"task_id": "",
"field_changes": [
{
"field_name": "title",
"old_value": "",
"new_value": "",
"operation_type": "added",
"changed_at": 1
}
],
"file_changes": [
{
"file_id": "",
"file_name": "",
"file_type": "",
"file_size": 1,
"file_download_link": "",
"download_link_expire_time": 1,
"operation_type": "added",
"changed_at": 1
}
]
}
}Task.comment_updatedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who updated the comment with a task.object(required)object— Information about the task.comment(required)object— The comments that had been added, removed, or updated.comment_id(required)string— The task comment ID.content_text(required)string— The task comment content.
task_id(required)string— The task ID.
operation_type(required)integer, possible values:0, 1, 2— Operation type. *`0` - REMOVE *`1` - ADD *`2` - UPDATEDoperator(required)string— The email of the user who updated the comment with a task.operator_id(required)string— The user ID of the user who updated the comment with a task.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operation_type": 0,
"object": {
"task_id": "",
"comment": {
"content_text": "",
"comment_id": ""
}
}
}
}Task.completedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp of when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who completed the task.object(required)object— Information about the task.status(required)objecttask_id(required)string— The task ID.
operator(required)string— The email of the user who completed the task.operator_id(required)string— The Zoom user ID of the operator who completed the task.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"task_id": "",
"status": null
}
}
}Task.collaborator_updatedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp of when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who updated the collaborators of the task.object(required)object— Information about the task.collaborators(required)array— Collaborators that has been added or removed.Items: Any of: display_name(required)string— The display name of the collaborator.user_id(required)string— The Zoom user ID of the collaborator.avatarstring, format:uri— The avatar image URL of the collaborator.emailstring, format:email— The email address of the collaborator.
task_id(required)string— The task ID.
operation_type(required)integer, possible values:0, 1— Operation type. Enum: *`0` - REMOVE *`1` - ADDoperator(required)string— The email of the user who updated the collaborators of the task.operator_id(required)string— The Zoom user ID of the operator who updated the collaborators of the task.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operation_type": 0,
"object": {
"task_id": "",
"collaborators": [
{
"user_id": "",
"display_name": "",
"email": "",
"avatar": ""
}
]
}
}
}Task.createdEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp of when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who created the task.object(required)object— Information about the task.create_time(required)string, format:date-time— The creation date-time in UTC/GMT.is_public(required)objectpriority(required)objectsource_type(required)objectstarred(required)boolean— Indicates whether the task is marked as starred.status(required)objecttask_id(required)string— The task ID.title(required)string— The task's title.assigneesarray— A list of assignees to add to the task.Items: email(required)string, format:email— The assignee's email address.user_id(required)string— The assignee's Zoom user ID.
collaboratorsarray— A list of collaborators to invite to the task. Maximum user count is 20.Items: email(required)string, format:email— The collaborator's email address.user_id(required)string— The collaborator's user to invite. The invited user must belong to the same account as the requesting user.
descriptionstring— The task's detailed description.due_dateobjectfriendly_task_idstring— The task's human-readable identifier.linkstring— The direct URL link to the task.
operator(required)string— The email of the user who created the task.operator_id(required)string— The user ID of the user who created the task.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"task_id": "",
"description": "",
"title": "",
"priority": null,
"status": null,
"is_public": null,
"due_date": null,
"source_type": null,
"starred": true,
"collaborators": [
{
"user_id": "",
"email": ""
}
],
"create_time": "2025-03-25T07:29:29Z",
"friendly_task_id": "Task-1",
"link": "https://tasks.example.com/ws53iQgOOkOdzVTxZaVoRA/TASK-1",
"assignees": [
{
"user_id": "",
"email": ""
}
]
}
}
}Task.assignee_updatedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who updated assignee to the taskobject(required)object— Information about the task.assignees(required)array— Assignees that has been added or removedItems: Any of: display_name(required)string— The display name of the collaborator.user_id(required)string— The Zoom user ID of the collaborator.avatarstring, format:uri— The avatar image URL of the collaborator.emailstring, format:email— The email address of the collaborator.
task_id(required)string— The task ID.
operation_type(required)integer, possible values:0, 1— Operation type. Enum: *`0` - REMOVE *`1` - ADDoperator(required)string— The email of the user who updated assignee to the task.operator_id(required)string— The Zoom user ID of the operator who updated assignee to the task.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operation_type": 0,
"object": {
"task_id": "",
"assignees": [
{
"user_id": "",
"display_name": "",
"email": "",
"avatar": ""
}
]
}
}
}Task.reopenedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp of when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who opened the task.object(required)object— Information about the task.task_id(required)string— The task ID.
operator(required)string— The email of the user who opened the task.operator_id(required)string— The Zoom user ID of the operator who opened the task.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"task_id": ""
}
}
}PriorityId-Tasks
- Type:
Example:
StatusId-Tasks
- Type:
Example:
IsPublic-Tasks
- Type:
Example:
DueDate-Tasks
- Type:
Example:
source_type-Tasks
- Type:
Example: